Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514603 - You may have encountered a bug in the Ruby interpreter or extension
Summary: You may have encountered a bug in the Ruby interpreter or extension
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.4.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 21:01 UTC by Steven Walter
Modified: 2018-03-14 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-14 15:56:35 UTC


Attachments (Terms of Use)

Description Steven Walter 2017-11-17 21:01:36 UTC
Description of problem:
You may have encountered a bug in the Ruby interpreter or extension 

Version-Release number of selected component (if applicable):
Dockerfile info: /root/buildinfo/Dockerfile-openshift3-logging-fluentd-3.4.1-30


Actual results:
We see in the logs:

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

2017-11-16 10:12:59 -0500 [error]: fluentd main process died unexpectedly. restarting.
2017-11-16 10:13:00 -0500 [warn]: 'exclude1' parameter is deprecated: Use <exclude> section
2017-11-16 10:13:00 -0500 [warn]: 'exclude1' parameter is deprecated: Use <exclude> section
2017-11-16 10:13:00 -0500 [warn]: 'block' action stops input process until the buffer full is resolved. Check your pipeline this action is fit or not
2017-11-16 10:13:00 -0500 [warn]: 'block' action stops input process until the buffer full is resolved. Check your pipeline this action is fit or not
2017-11-16 10:13:00 -0500 [warn]: 'block' action stops input process until the buffer full is resolved. Check your pipeline this action is fit or not
2017-11-16 10:13:00 -0500 [warn]: 'block' action stops input process until the buffer full is resolved. Check your pipeline this action is fit or not
2017-11-16 10:13:00 -0500 [warn]: failed to connect for secure-forward error_class=Errno::ECONNREFUSED error=#<Errno::ECONNREFUSED: Connection refused - connect(2)> host="syslog-relay.log-relay.svc.cluster.local" address="100.124.183.123" port=24284

Comment 3 Jeff Cantrill 2018-01-08 16:13:41 UTC
Steven,

Is this still an issue? Can you attach your configmaps?


Note You need to log in before you can comment on or make changes to this bug.